<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/root_view"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_gravity="center"
    tools:ignore="HardcodedText">

    <com.adealink.frame.image.view.NetworkImageView
        android:id="@+id/header_iv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:actualImageScaleType="fitXY"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/content_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/commonui_dialog_bg"
        app:layout_constraintTop_toBottomOf="@id/header_iv">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_top_bg"
            android:layout_width="match_parent"
            android:layout_height="140dp"
            android:scaleType="fitXY"
            android:visibility="visible"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingStart="24dp"
            android:paddingTop="24dp"
            android:paddingEnd="24dp"
            android:paddingBottom="24dp"
            app:layout_constraintTop_toTopOf="parent">

            <com.adealink.frame.image.view.NetworkImageView
                android:id="@+id/ivTop"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:scaleType="fitXY"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <!--标题-->
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tvTitle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:lineSpacingExtra="3dp"
                android:textColor="@color/color_222222"
                android:textSize="18sp"
                android:textStyle="bold"
                app:layout_constraintTop_toBottomOf="@id/ivTop"
                app:layout_goneMarginTop="0dp"
                tools:text="这是标题" />

            <!--内容-->
            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tvMessage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:lineSpacingExtra="5dp"
                android:textColor="@color/color_222222"
                android:textSize="16sp"
                android:visibility="gone"
                app:layout_constraintTop_toBottomOf="@id/tvTitle"
                app:layout_goneMarginTop="24dp"
                tools:text="内容"
                tools:visibility="visible" />

            <FrameLayout
                android:id="@+id/flSubBlock"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:visibility="gone"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tvMessage"
                tools:visibility="visible">

            </FrameLayout>

            <!--确定-->
            <com.adealink.weparty.commonui.widget.CommonButton
                android:id="@+id/tvConfirm"
                android:layout_width="0dp"
                android:layout_height="36dp"
                android:layout_marginHorizontal="50dp"
                android:layout_marginTop="24dp"
                app:button_radius="22dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/flSubBlock"
                app:layout_constraintWidth_default="spread"
                app:layout_goneMarginTop="20dp"
                app:text="@string/commonui_confirm"
                app:textColor="@color/white"
                app:textSize="14sp" />

            <!--取消-->
            <com.adealink.weparty.commonui.widget.CommonButton
                android:id="@+id/tvCancel"
                android:layout_width="0dp"
                android:layout_height="36dp"
                android:layout_marginHorizontal="50dp"
                android:layout_marginTop="24dp"
                android:visibility="gone"
                app:button_radius="22dp"
                app:common_button_type="cancel"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tvConfirm"
                app:layout_goneMarginTop="20dp"
                app:text="@string/commonui_cancel"
                app:textColor="@color/color_FF4E5969"
                app:textSize="14sp"
                tools:visibility="visible" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/top_close_btn"
        android:layout_width="16dp"
        android:layout_height="16dp"
        android:layout_marginTop="12dp"
        android:layout_marginEnd="12dp"
        android:src="@drawable/commonui_dialog_close_ic"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>